/**
 * Created by mac on 9/20/18
 */

// Start our processing when the page is loaded

var cleverappsGetRequestParameters = function(source) {
    var res = {};
    var url = source || window.location.search;
    if (url) {
        url = url.substr(1);    // Drop the leading '?' / '#'
        var nameValues = url.split("&");

        for (var i = 0; i < nameValues.length; i++) {
            var nameValue = nameValues[i].split("=");
            var name = nameValue[0];
            var value = nameValue[1];
            value = decodeURIComponent(value.replace(/\+/g, " "));
            res[name] = value;
        }
    }
    return res;
};

if (typeof hookAppData === 'undefined') {
    hookAppData = function () {
    };
}

if (typeof window !== 'undefined' && window.location.href.indexOf('logged_user_id') !== -1 && window.location.href.indexOf('mob=true') !== -1) {
    var args = cleverappsGetRequestParameters(window.location.search);

    var closeFrame = function (frameId) {
        var frameContainer;
        try {
            frameContainer = window.document.getElementById(frameId) || window.parent.document.getElementById(frameId);
        } catch (e) {
            console.log(e);
        }

        if (frameContainer) {
            frameContainer.innerHTML = "";
            frameContainer.style.display = "none";
            frameContainer.style.position = "";
            frameContainer.style.left = "";
            frameContainer.style.top = "";
            frameContainer.style.width = "";
            frameContainer.style.height = "";
        }
    };

    if (args['custom_args'] && (args['custom_args'].indexOf("payment") === 0)) {
        var paymentResult = args['custom_args'].split('=');
        if (window.opener) {
            window.opener.postMessage(JSON.stringify(paymentResult), "*");
            window.close();
        }
        if (window.parent) {
            window.parent.postMessage(JSON.stringify(paymentResult), "*");
            closeFrame("paymentFrame");
        }
        mobileOkReturned = true;
    } else {
        if (window.opener && window.opener.location && window.opener.location.host && window.opener.location.host === window.location.host) {
            window.close();
            mobileOkReturned = true;
        }

        if (window.parent && window.parent.location && window.parent.location.host && window.parent.location.host === window.location.host) {
            closeFrame("paymentFrame");
            mobileOkReturned = true;
        }
    }
}